<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title>Form work1</title>
  <script>
    /*
      Задание:
        Сделать шиблонизатор элемента по:
        Ширине input type=range
        Цвету  input type=color
        Высоте input type=number
        Скругление углов input type=number
        Внутрение отступы input type=number

      Свойсвта: https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_Properties_Reference

      Бонус:
        + Сделать выборку цвета из статичных цветов которые выбираются из появившегося блока :
        https://s3.envato.com/files/230412754/screenshots/1.png


    */
    window.addEventListener("load", function () {
      var myWidth = document.getElementById('myWidth');
      var myHeight = document.getElementById('myHeight');


      // Ваш код тут.
      myWidth.addEventListener('input', function(event){
        result.style.width = event.target.value + 'px';
      });
      myHeight.addEventListener('input', function(e) {
        result.style.height = event.target.value + 'px';
      })
      myBorderRadius.addEventListener('input', function(e) {
        result.style.borderRadius = event.target.value + 'px';
      })
      myPadding.addEventListener('input', function(e) {
        result.style.padding = event.target.value + 'px';
      })

    });
  </script>
</head>
<body>
  <div class="Templating">
    <header>
      <input type="range" id="myWidth" min="10" max="500" step="10"/>
      <input type="color" id="myColor" min="10" max="500" step="10"/>
      <input type="range" id="myHeight" min="10" max="500" step="10"/>
      <input type="range" id="myBorderRadius" min="10" max="500" step="5"/>
      <input type="range" id="myPadding" min="10" max="500" step="10"/>
    </header>

    <div class="TemplatingResult">
      <div id="result" class="result"></div>
    </div>
  </div>




  <style>
    .result{
      width: 50px;
      background: gray;
      box-sizing: border-box;
      padding: 10px;
    }
    #MyValidateForm{
      width: 350px;
      display: flex;
      flex-direction: column;
    }

    #MyValidateForm input{
      margin-bottom: 10px;
      /*box-sizing: border-box;*/
      padding: 10px 20px;
    }
  </style>
</body>
</html>
